package errors

const (
	OK               = 0    //success
	Exit             = 1000 //normal exit
	Invalid          = 1001 //payload invalid
	Timeout          = 1002 //timeout
	Expired          = 1003 //expired
	AccessDenied     = 4005 //access denied
	PermissionDenied = 4003 //permission denied
	NotFound         = 4004 //not found
	Unavailable      = 5000 //service unavailable
)

var (
	ErrExit             = New(Exit, "normal exit")
	ErrTimeout          = New(Timeout, "timeout")
	ErrExpired          = New(Expired, "expired")
	ErrValidate         = New(Invalid, "invalid payload")
	ErrNotFound         = New(NotFound, "not found")
	ErrAccessDenied     = New(AccessDenied, "access denied")
	ErrPermissionDenied = New(PermissionDenied, "permission denied")
	ErrUnavailable      = New(Unavailable, "service unavailable")
)
